SDL_GetJoystickVendorForID(3)

NAME
SDL_GetJoystickVendorForID - Get the USB vendor ID of a joystick, if available.

HEADER FILE
Defined in SDL3/SDL_joystick.h

SYNOPSIS
#include "SDL3/SDL.h"

Uint16 SDL_GetJoystickVendorForID(SDL_JoystickID instance_id);

DESCRIPTION
This can be called before any joysticks are opened. If the vendor ID isn't available this function returns 0.

FUNCTION PARAMETERS

instance_id
    the joystick instance ID.

RETURN VALUE
( Uint16 ) Returns the USB vendor ID of the selected joystick. If called with an invalid instance_id, this function returns 0.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GetJoystickVendor(3), •(3), SDL_GetJoysticks(3)